Subject: Re: [PATCH net-next 5/5] selftests: drivers: hw: add tests for the ethtool standard counters

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Feb 2026 16:24:55 -0800

On Fri, 27 Feb 2026 15:17:02 +0100 Andrew Lunn wrote:
> On Fri, Feb 27, 2026 at 09:34:28AM +0200, Ioana Ciornei wrote:
> > On Thu, Feb 26, 2026 at 06:25:11PM -0800, Jakub Kicinski wrote:  
> > > FWIW the expectation is that the test should be able to run even on
> > > systems / boards with a single interface. So the control traffic
> > > (communicating with the traffic generator) will run over the same
> > > interface as the test. 1% error is unachievable. I'd only check the
> > > lower bound, and use some sanity value for the upper bound (2^30 ?)
> > > if at all  
> > 
> > Really? I didn't know of that expectation at all.
> > 
> > I did take ethtool_rmon.sh as an example and that selftest as well
> > takes NUM_NETIFS=2 and does check for both a lower bound and upper bound
> > that takes into account a 1% deviance from the target.
> > 
> > How would the test even work with only a single interface?  
> 
> Just to add to this, for the 1% i was referring to counters for
> collisions. If the control traffic is causing collisions the system it
> just as wrongly configured as generated traffic causing collisions.
> 
> For 'everyday' systems, i doubt Half Duplex is ever used, but
> automotive with a T1 PHY might. So we might need to review this 1%
> once somebody runs this test on such a system.

Right, right, errors and exceptions are probably fine.
I was referring to checking overall byte / packet counters with 1%
tolerance. Sorry if I misread the discussion or the patch.